.search {
  width: 100%;
  height: 100%;
}

.search__form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.search__field {
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
}

.search__field-container {
  padding: 16px 80px;
  max-width: 1440px;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  gap: 24px;
}

.search__field-container > .form-group {
  width: 100%;
}

.search__field-container > .form-group > input {
  padding: 0;
  font-size: 32px;
  border: none;
}

.search__field-container > .form-group > input::placeholder {
  font-size: 32px;
}

.search__field-container > .btn {
  min-width: 200px;
}

.search__field-container > .btn > p {
  font-weight: 600;
}

.search__field-container > .btn > img {
  display: none;
}

.search__form {
  height: 100%;
}

.search__content {
  max-width: 1440px;
  width: 100%;
  height: 100%;
  display: flex;
}

.search__content .filter__content {
  justify-content: flex-start;
  gap: 40px;
}

.search__products {
  width: 100%;
  margin-bottom: 60px;
}

.search__options {
  padding: 40px;
  position: relative;
  display: flex;
  gap: 24px;
}

.search__options > .btn {
  min-width: 250px;
}

.search__options > label {
  min-height: 50px;
  padding: 7px 19px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: 1px solid var(--secondary-color);
}

.search__options > label:hover {
  padding: 6px 18px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: 2px solid var(--secondary-color);
}

.search__input:checked + label {
  background-color: var(--secondary-color);
  color: var(--primary-color);
}

.search__input:checked + label:hover {
  background-color: var(--hover-color);
}

.search__options > .search__button-filter {
  display: none;
}

.search__divider {
  width: 100dvw;
  height: 1px;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: var(--border-color);
}

@media (max-width: 992px) {
  .search__options .btn {
    min-width: 150px;
  }
}

@media (max-width: 768px) {
  .search__field-container {
    padding: 16px 40px;
  }

  .search__field-container > .btn {
    min-width: auto;
    width: 40px;
    height: 40px;
  }

  .search__field-container > .btn > img {
    display: block;
  }

  .search__field-container > .btn > p {
    display: none;
  }

  .search__options {
    padding: 24px 40px;
    display: grid;
    grid-template-columns: 1fr 4fr 4fr 1fr;
  }

  .search__options .btn {
    min-width: auto;
  }

  .search__options > .btn:nth-child(2) {
    grid-area: 1 / 2 / 2 / 3;
  }

  .search__options > .btn:nth-child(4) {
    grid-area: 1 / 3 / 2 / 4;
  }

  .search__options > .search__button-filter {
    margin: 0 80px;
    display: block;
    grid-area: 2 / 2 / 3 / 4;
  }
}

@media (max-width: 576px) {
  .search__options {
    padding: 24px 16px;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  .search__field-container {
    padding: 16px;
  }

  .search__field-container > .form-group > input {
    font-size: 28px;
  }

  .search__field-container > .form-group > input::placeholder {
    font-size: 28px;
  }

  .search__options > .btn:nth-child(2) {
    grid-area: 1 / 1 / 2 / 2;
  }

  .search__options > .btn:nth-child(4) {
    grid-area: 1 / 2 / 2 / 2;
  }

  .search__options > .search__button-filter {
    margin: 0 80px;
    display: block;
    grid-area: 2 / 1 / 3 / 3;
  }
}